This chatroulette requires flash player, please install the latest version of Flash Player in order to use ChatAlternative.
http://get.adobe.com/flashplayer/